Retrieve

View as Markdown

Retrieves the details of a cXML Application that has been previously created. Use the unique ID that was returned from your previous request to identify the specific instance.

Path parameters

AccountSidstringRequiredformat: "uuid"
The unique identifier for the account this script is associated with.
SidstringRequiredformat: "uuid"
The unique identifier of the cXML script.

Response

sidstringRequiredformat: "uuid"
The unique identifier of the cXML script on SignalWire.
date_createdstringRequired
The date and time, in ISO 8601 format, the script was created.
date_updatedstringRequired
The date and time, in ISO 8601 format, the script was updated.
date_last_accessedstring or nullRequired
The date and time, in ISO 8601 format, the script was last accessed, or null if never accessed.
account_sidstringRequiredformat: "uuid"
The unique identifier for the account this script is associated with.
namestringRequired
A friendly name given to the cXML script.
contentsstringRequired
The contents of the cXML script.
request_urlstringRequiredformat: "uri"
The unique URL to the raw contents of the cXML script.
num_requestsintegerRequired
The number of times this cXML script has been accessed.
api_versionstringRequired
The version of the SignalWire API.
uristringRequired
The URL of this resource.
Response
1{
2 "sid": "5184b831-184f-4209-872d-ccdccc80f2f1",
3 "date_created": "2019-11-26T20:00:00Z",
4 "date_updated": "2019-11-26T20:00:00Z",
5 "date_last_accessed": "2020-06-05T20:00:00Z",
6 "account_sid": "b3877c40-da60-4998-90ad-b792e98472af",
7 "name": "Death Star IVR",
8 "contents": "<Response><Say>Hello!</Say></Response>",
9 "request_url": "https://example.signalwire.com/laml-bins/5184b831-184f-4209-872d-ccdccc80f2f1",
10 "num_requests": 42,
11 "api_version": "2010-04-01",
12 "uri": "/api/laml/2010-04-01/Accounts/b3877c40-da60-4998-90ad-b792e98472af/LamlBins/5184b831-184f-4209-872d-ccdccc80f2f1"
13}

Example

GET
/api/laml/2010-04-01/Accounts/:AccountSid/LamlBins/:Sid
1curl https://your_space.signalwire.com/api/laml/2010-04-01/Accounts/AccountSid/LamlBins/Sid \
2 -u "<project_id>:<api_token>"